Bug 196178 - devel/gitg: Update to 3.14.1
Summary: devel/gitg: Update to 3.14.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Ruslan Makhmatkhanov
URL:
Keywords: patch, patch-ready
Depends on: 196177
Blocks: 196747
  Show dependency treegraph
 
Reported: 2014-12-21 17:41 UTC by lightside
Modified: 2015-02-15 21:47 UTC (History)
0 users

See Also:


Attachments
Proposed patch (since 369260 revision) (6.60 KB, patch)
2014-12-21 17:41 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64) (25.54 KB, application/x-zip-compressed)
2014-12-21 17:42 UTC, lightside
no flags Details
Proposed patch (since 369260 revision) (6.64 KB, patch)
2015-01-25 23:47 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 10 amd64) with devel/libgit2 0.21.1_1 (25.66 KB, application/x-zip-compressed)
2015-01-26 01:57 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 10 amd64) with devel/libgit2 0.21.5 (25.61 KB, application/x-zip-compressed)
2015-01-26 01:57 UTC, lightside
no flags Details
Proposed patch (since 369260 revision) (6.62 KB, patch)
2015-01-26 05:46 UTC, lightside
no flags Details | Diff
The poudriere testport log (FreeBSD 8.4 amd64) with devel/libgit2 0.21.1_1 (25.68 KB, application/x-zip-compressed)
2015-01-26 05:46 UTC, lightside
no flags Details
The poudriere testport log (FreeBSD 8.4 amd64) with devel/libgit2 0.21.5 (25.72 KB, application/x-zip-compressed)
2015-01-26 05:47 UTC, lightside
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2014-12-21 17:41:31 UTC
Created attachment 150834 [details]
Proposed patch (since 369260 revision)

Patch to update devel/gitg port from 0.2.7 to 3.14.1 version.

- Added required ports to LIB_DEPENDS and BUILD_DEPENDS
- Sorted USES
- Moved library directory from LIBS to LDFLAGS
- Added DEBUG and PYTHON options
- Adapted pkg-plist for new version
Comment 1 Bugzilla Automation freebsd_committer 2014-12-21 17:41:31 UTC
Auto-assigned to maintainer amdmi3@FreeBSD.org
Comment 2 lightside 2014-12-21 17:42:11 UTC
Created attachment 150835 [details]
The poudriere testport log (FreeBSD 10 amd64)
Comment 3 lightside 2014-12-21 17:44:30 UTC
The devel/libgit2 port required to build with THREADSAFE option enabled.
Comment 4 Dmitry Marakasov freebsd_committer 2014-12-29 04:13:29 UTC
I'll deal with this after holidays, probably around Jan 7th.
Comment 5 lightside 2015-01-25 23:47:40 UTC
Created attachment 152139 [details]
Proposed patch (since 369260 revision)

Added compiler:c++11-lib to USES, because of www/webkit-gtk3 current port's version uses the same.
Added desktop-file-utils to USES.
Comment 6 lightside 2015-01-26 01:57:24 UTC
Created attachment 152142 [details]
The poudriere testport log (FreeBSD 10 amd64) with devel/libgit2 0.21.1_1
Comment 7 lightside 2015-01-26 01:57:58 UTC
Created attachment 152143 [details]
The poudriere testport log (FreeBSD 10 amd64) with devel/libgit2 0.21.5
Comment 8 lightside 2015-01-26 05:46:02 UTC
Created attachment 152149 [details]
Proposed patch (since 369260 revision)

Removed compiler:c++11-lib from USES, because the port builds well on FreeBSD 8.4 without it, and doesn't use C++11 features and library.
Comment 9 lightside 2015-01-26 05:46:43 UTC
Created attachment 152150 [details]
The poudriere testport log (FreeBSD 8.4 amd64) with devel/libgit2 0.21.1_1
Comment 10 lightside 2015-01-26 05:47:12 UTC
Created attachment 152151 [details]
The poudriere testport log (FreeBSD 8.4 amd64) with devel/libgit2 0.21.5
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2015-02-12 00:56:32 UTC
Ruslan is taking care of bug 196747, so re-assign this for resolution also
Comment 12 lightside 2015-02-12 02:07:17 UTC
(In reply to comment #11)
> Ruslan is taking care of bug 196747, so re-assign this for resolution also

No need.

The PR 196178 is closed, because of possible corruption between commiters. And this is not a first PR, which was corrupted.
Comment 13 lightside 2015-02-12 08:22:58 UTC
My intention was clear. In December 2014, I made three continuous PRs (with dependencies between them): bug 196176, bug 196177, bug 196178. They allows to update devel/gitg port to latest version (at the time of submit).

The patch from bug 196177 was commited on ports r377051. While bug 196176 is ignored by William Grzybowski (wg@) in preference of bug 196662, created by Ruslan Makhmatkhanov (rm@), commited on ports r377075. This was a first sign of corruption.

Recently, I wrote an email to Dmitry Marakasov (amdmi3@ at his site) about 3.15.1 version and problems with update, related to "WebKit2-4.0.gir" file, which might require to update www/webkit-gtk3 port, because it contains "WebKit2-3.0.gir" file only. But he decided to drop the maintainership, which is understandable, e.g. by huge dependencies, which these updates brings.

And now, the complete and tested patches was corrupted again, by assigning bug 196178 to Ruslan Makhmatkhanov (rm@) commiter, which made bug 196747 with the same results. This is wrong move, in my opinion.

When person creates a PR, the FreeBSD Bugzilla shows other PRs, which might be related. My PRs was created long before bug 196747 and this is a case.

Now, this PR is closed, because the person, who created the corruption is not deserve to close it.
Comment 14 Ruslan Makhmatkhanov freebsd_committer 2015-02-12 09:10:21 UTC
Please calm down. I'll rule this "corruption" at weekend. 

Yes, it was my fault that I didn't checked pr database properly. Without patch libgit2-glib (ggit-types.h) I wasn't able to build it in poudriere - build just failed on this.

Meanwhile, since Dmitry just reset maintainership of gitg, do you wan't to become maintainer of this port?
Comment 15 lightside 2015-02-12 11:25:48 UTC
(In reply to comment #14)
> Please calm down. I'll rule this "corruption" at weekend.

I'm fine. I decided to wrote this, because of the (preceding) events. Yes, the "corruption" might be a wrong word. It was used in the sense of "broke", which breaks something. Your PRs might be intentional alternatives, from other point of view.

(In reply to comment #14)
> Without patch libgit2-glib (ggit-types.h) I wasn't able to build it
> in poudriere - build just failed on this.

The mentioned changes proposed to be removed in attachment 152085 [details], created by Koop Mast (kwm@) maintainer for new devel/libgit2-glib 0.22.0 version on bugs 196176 (but the patch is not complete, because of two missing files in pkg-plist, checked by "make check-plist"). Maybe, because the compilers used by FreeBSD releases are not affected to them.

(In reply to comment #14)
> Meanwhile, since Dmitry just reset maintainership of gitg, do you wan't to
> become maintainer of this port?

No, the long-term maintainership wasn't my intention. In my experience, the update to concrete version is more useful. I guess, the gnome@ might be a more appropriate candidate, because of interconnected dependencies.
Comment 16 lightside 2015-02-12 13:28:44 UTC
(In reply to comment #15)
Fixed some mistakes:
> I decided to wrote this
I decided to write this
> proposed to be removed
was proposed to be removed
> on bugs 196176
on bug 196176
Comment 17 commit-hook freebsd_committer 2015-02-15 20:31:35 UTC
A commit references this bug:

Author: rm
Date: Sun Feb 15 20:31:16 UTC 2015
New revision: 379047
URL: https://svnweb.freebsd.org/changeset/ports/379047

Log:
  devel/gitg: update to 3.14.1

  PR:		196178
  Submitted by:	lightside <lightside@gmx.com>

Changes:
  head/devel/gitg/Makefile
  head/devel/gitg/distinfo
  head/devel/gitg/pkg-plist
Comment 18 Ruslan Makhmatkhanov freebsd_committer 2015-02-15 20:32:55 UTC
I just commited the update. It's your vanilla patch with two changes of mine:

1. Dependency on devel/git is removed
2. Dependency on glib-introspection is added

Thank you and sorry for interference.
Comment 19 lightside 2015-02-15 21:47:04 UTC
(In reply to comment #18)
> Thank you and sorry for interference.

Thank you for understanding and commit. Sorry for some comments. The review from different points of view is also good. There was a need for a direct communication, I guess.

I changed the status to FIXED, but it means, that we did it.